curl --request POST \
--url https://api.arize.com/v2/experiments/{experiment_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"experiment_runs": [
{
"example_id": "example_001",
"output": "4",
"model": "gpt-4o-mini",
"temperature": 0.2,
"latency_ms": 118
},
{
"example_id": "example_002",
"output": "4",
"model": "gpt-4o-mini",
"temperature": 0.2,
"latency_ms": 132
}
]
}
'import requests
url = "https://api.arize.com/v2/experiments/{experiment_id}/runs"
payload = { "experiment_runs": [
{
"example_id": "example_001",
"output": "4",
"model": "gpt-4o-mini",
"temperature": 0.2,
"latency_ms": 118
},
{
"example_id": "example_002",
"output": "4",
"model": "gpt-4o-mini",
"temperature": 0.2,
"latency_ms": 132
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
experiment_runs: [
{
example_id: 'example_001',
output: '4',
model: 'gpt-4o-mini',
temperature: 0.2,
latency_ms: 118
},
{
example_id: 'example_002',
output: '4',
model: 'gpt-4o-mini',
temperature: 0.2,
latency_ms: 132
}
]
})
};
fetch('https://api.arize.com/v2/experiments/{experiment_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RXhwZXJpbWVudDoxOmFCY0Q=",
"space_id": "U3BhY2U6MTphQmNE",
"name": "Experiment 1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"integration_id": null,
"run_ids": [
"run_001",
"run_002"
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Append runs to an experiment
Append new runs to an existing experiment.
Payload Requirements
- Provide between 1 and 1000 runs in
experiment_runs. - Each run must include:
output— model/task output for the runexample_id— a correlation ID linking this run to a dataset example. Required only when the experiment is associated with a dataset; its existence in the dataset is never validated.- You may include any additional fields per run that can be used for
analysis or filtering. For example:
model,latency_ms,temperature,prompt,tool_calls, etc.
Valid example
{
"experiment_runs": [
{"example_id": "example_001", "output": "4", "model": "gpt-4o-mini"}
]
}
Invalid example (missing required output field)
{
"experiment_runs": [
{"example_id": "example_001"}
]
}
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique experiment identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body
Body containing experiment runs to append to the experiment
Array of experiment run data to append to the experiment. Between 1 and 1000 runs per request.
1 - 1000 elementsShow child attributes
Show child attributes
Response
Experiment with the IDs of the newly inserted runs.
Experiments combine a dataset (example inputs/expected outputs), a task (the function that produces model outputs), and one or more evaluators (code or LLM judges) to measure performance. Each run is stored independently so you can compare runs, track progress, and validate improvements over time. See the full definition on the Experiments page.
Use an experiment to run tasks on a dataset, attach evaluators to score outputs, and compare runs to confirm improvements.
Unique identifier for the experiment
Name of the experiment
Unique identifier for the space this experiment belongs to
Timestamp for when the experiment was created
Timestamp for the last update of the experiment
IDs of the newly inserted experiment runs, in input order.
Unique identifier for the dataset associated with this experiment. Null if the experiment isn't associated with a dataset.
Unique identifier for the dataset version associated with this experiment. Null if the experiment isn't associated with a dataset.
Unique identifier for the experiment traces project this experiment belongs to (if it exists)
Identifier (base64) of the agent integration that backs this experiment, as returned by the integrations API. Null for non-agent experiments (for example, SDK or Playground experiments).
Was this page helpful?